curl https://api.goshippo.com/manifests/ \
-H "Authorization: ShippoToken <API_TOKEN>" \
-d carrier_account="b741b99f95e841639b54272834bc478c", \
-d shipment_date="2014-05-16T23:59:59Z" \
-d address_from="d799c2679e644279b59fe661ac8fa488" \
-d transactions=["64bba01845ef40d29374032599f22588", "c169aa586a844cc49da00d0272b590e1"] \
-d async=falseimport shippo
from shippo.models import components
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.manifests.create(request=components.ManifestCreateRequest(
carrier_account='adcfdddf8ec64b84ad22772bce3ea37a',
shipment_date='2014-05-16T23:59:59Z',
transactions=[
'adcfdddf8ec64b84ad22772bce3ea37a',
],
address_from=components.AddressCreateRequest(
name='Shwan Ippotle',
company='Shippo',
street1='215 Clayton St.',
street3='',
street_no='',
city='San Francisco',
state='CA',
zip='94117',
country='US',
phone='+1 555 341 9393',
email='shippotle@shippo.com',
is_residential=True,
metadata='Customer ID 123456',
validate=True,
),
))
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.manifests.create({
carrierAccount: "adcfdddf8ec64b84ad22772bce3ea37a",
shipmentDate: "2014-05-16T23:59:59Z",
transactions: [
"adcfdddf8ec64b84ad22772bce3ea37a",
],
addressFrom: {
name: "Shwan Ippotle",
company: "Shippo",
street1: "215 Clayton St.",
street3: "",
streetNo: "",
city: "San Francisco",
state: "CA",
zip: "94117",
country: "US",
phone: "+1 555 341 9393",
email: "shippotle@shippo.com",
isResidential: true,
metadata: "Customer ID 123456",
validate: true,
},
});
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
use Shippo\API\Models\Components;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$manifestCreateRequest = new Components\ManifestCreateRequest(
carrierAccount: 'adcfdddf8ec64b84ad22772bce3ea37a',
shipmentDate: '2014-05-16T23:59:59Z',
transactions: [
'adcfdddf8ec64b84ad22772bce3ea37a',
],
addressFrom: new Components\AddressCreateRequest(
name: 'Shwan Ippotle',
company: 'Shippo',
street1: '215 Clayton St.',
street3: '',
streetNo: '',
city: 'San Francisco',
state: 'CA',
zip: '94117',
country: 'US',
phone: '+1 555 341 9393',
email: 'shippotle@shippo.com',
isResidential: true,
metadata: 'Customer ID 123456',
validate: true,
),
);
$response = $sdk->manifests->create(
manifestCreateRequest: $manifestCreateRequest,
shippoApiVersion: '2018-02-08'
);
if ($response->manifest !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
using System.Collections.Generic;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Manifests.CreateAsync(
manifestCreateRequest: new ManifestCreateRequest() {
CarrierAccount = "adcfdddf8ec64b84ad22772bce3ea37a",
ShipmentDate = "2014-05-16T23:59:59Z",
Transactions = new List<string>() {
"adcfdddf8ec64b84ad22772bce3ea37a",
},
AddressFrom = ManifestCreateRequestAddressFrom.CreateAddressCreateRequest(
new AddressCreateRequest() {
Name = "Shwan Ippotle",
Company = "Shippo",
Street1 = "215 Clayton St.",
Street3 = "",
StreetNo = "",
City = "San Francisco",
State = "CA",
Zip = "94117",
Country = "US",
Phone = "+1 555 341 9393",
Email = "shippotle@shippo.com",
IsResidential = true,
Metadata = "Customer ID 123456",
Validate = true,
}
),
},
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.components.AddressCreateRequest;
import com.goshippo.shippo_sdk.models.components.ManifestCreateRequest;
import com.goshippo.shippo_sdk.models.components.ManifestCreateRequestAddressFrom;
import com.goshippo.shippo_sdk.models.operations.CreateManifestResponse;
import java.lang.Exception;
import java.util.List;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
CreateManifestResponse res = sdk.manifests().create()
.shippoApiVersion("2018-02-08")
.manifestCreateRequest(ManifestCreateRequest.builder()
.carrierAccount("adcfdddf8ec64b84ad22772bce3ea37a")
.shipmentDate("2014-05-16T23:59:59Z")
.addressFrom(ManifestCreateRequestAddressFrom.of(AddressCreateRequest.builder()
.country("US")
.name("Shwan Ippotle")
.company("Shippo")
.street1("215 Clayton St.")
.street3("")
.streetNo("")
.city("San Francisco")
.state("CA")
.zip("94117")
.phone("+1 555 341 9393")
.email("shippotle@shippo.com")
.isResidential(true)
.metadata("Customer ID 123456")
.validate(true)
.build()))
.transactions(List.of(
"adcfdddf8ec64b84ad22772bce3ea37a"))
.build())
.call();
if (res.manifest().isPresent()) {
// handle response
}
}
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_account: 'adcfdddf8ec64b84ad22772bce3ea37a',
shipment_date: '2014-05-16T23:59:59Z',
address_from: {
country: 'US',
name: 'Shwan Ippotle',
company: 'Shippo',
street1: '215 Clayton St.',
street2: '<string>',
street3: '',
street_no: '',
city: 'San Francisco',
state: 'CA',
zip: '94117',
phone: '+1 555 341 9393',
email: 'shippotle@shippo.com',
is_residential: true,
metadata: 'Customer ID 123456',
validate: true
},
transactions: ['adcfdddf8ec64b84ad22772bce3ea37a'],
async: true
})
};
fetch('https://api.goshippo.com/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/manifests"
payload := strings.NewReader("{\n \"carrier_account\": \"adcfdddf8ec64b84ad22772bce3ea37a\",\n \"shipment_date\": \"2014-05-16T23:59:59Z\",\n \"address_from\": {\n \"country\": \"US\",\n \"name\": \"Shwan Ippotle\",\n \"company\": \"Shippo\",\n \"street1\": \"215 Clayton St.\",\n \"street2\": \"<string>\",\n \"street3\": \"\",\n \"street_no\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"zip\": \"94117\",\n \"phone\": \"+1 555 341 9393\",\n \"email\": \"shippotle@shippo.com\",\n \"is_residential\": true,\n \"metadata\": \"Customer ID 123456\",\n \"validate\": true\n },\n \"transactions\": [\n \"adcfdddf8ec64b84ad22772bce3ea37a\"\n ],\n \"async\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/manifests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_account\": \"adcfdddf8ec64b84ad22772bce3ea37a\",\n \"shipment_date\": \"2014-05-16T23:59:59Z\",\n \"address_from\": {\n \"country\": \"US\",\n \"name\": \"Shwan Ippotle\",\n \"company\": \"Shippo\",\n \"street1\": \"215 Clayton St.\",\n \"street2\": \"<string>\",\n \"street3\": \"\",\n \"street_no\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"zip\": \"94117\",\n \"phone\": \"+1 555 341 9393\",\n \"email\": \"shippotle@shippo.com\",\n \"is_residential\": true,\n \"metadata\": \"Customer ID 123456\",\n \"validate\": true\n },\n \"transactions\": [\n \"adcfdddf8ec64b84ad22772bce3ea37a\"\n ],\n \"async\": true\n}"
response = http.request(request)
puts response.read_body{
"carrier_account": "adcfdddf8ec64b84ad22772bce3ea37a",
"shipment_date": "2014-05-16T23:59:59Z",
"address_from": "d799c2679e644279b59fe661ac8fa488",
"documents": [
"https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
],
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_updated": "2023-11-07T05:31:56Z",
"status": "SUCCESS",
"transactions": [
"adcfdddf8ec64b84ad22772bce3ea37a"
],
"errors": [
"<string>"
]
}{}Create a new manifest
Creates a new manifest object.
curl https://api.goshippo.com/manifests/ \
-H "Authorization: ShippoToken <API_TOKEN>" \
-d carrier_account="b741b99f95e841639b54272834bc478c", \
-d shipment_date="2014-05-16T23:59:59Z" \
-d address_from="d799c2679e644279b59fe661ac8fa488" \
-d transactions=["64bba01845ef40d29374032599f22588", "c169aa586a844cc49da00d0272b590e1"] \
-d async=falseimport shippo
from shippo.models import components
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.manifests.create(request=components.ManifestCreateRequest(
carrier_account='adcfdddf8ec64b84ad22772bce3ea37a',
shipment_date='2014-05-16T23:59:59Z',
transactions=[
'adcfdddf8ec64b84ad22772bce3ea37a',
],
address_from=components.AddressCreateRequest(
name='Shwan Ippotle',
company='Shippo',
street1='215 Clayton St.',
street3='',
street_no='',
city='San Francisco',
state='CA',
zip='94117',
country='US',
phone='+1 555 341 9393',
email='shippotle@shippo.com',
is_residential=True,
metadata='Customer ID 123456',
validate=True,
),
))
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.manifests.create({
carrierAccount: "adcfdddf8ec64b84ad22772bce3ea37a",
shipmentDate: "2014-05-16T23:59:59Z",
transactions: [
"adcfdddf8ec64b84ad22772bce3ea37a",
],
addressFrom: {
name: "Shwan Ippotle",
company: "Shippo",
street1: "215 Clayton St.",
street3: "",
streetNo: "",
city: "San Francisco",
state: "CA",
zip: "94117",
country: "US",
phone: "+1 555 341 9393",
email: "shippotle@shippo.com",
isResidential: true,
metadata: "Customer ID 123456",
validate: true,
},
});
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
use Shippo\API\Models\Components;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$manifestCreateRequest = new Components\ManifestCreateRequest(
carrierAccount: 'adcfdddf8ec64b84ad22772bce3ea37a',
shipmentDate: '2014-05-16T23:59:59Z',
transactions: [
'adcfdddf8ec64b84ad22772bce3ea37a',
],
addressFrom: new Components\AddressCreateRequest(
name: 'Shwan Ippotle',
company: 'Shippo',
street1: '215 Clayton St.',
street3: '',
streetNo: '',
city: 'San Francisco',
state: 'CA',
zip: '94117',
country: 'US',
phone: '+1 555 341 9393',
email: 'shippotle@shippo.com',
isResidential: true,
metadata: 'Customer ID 123456',
validate: true,
),
);
$response = $sdk->manifests->create(
manifestCreateRequest: $manifestCreateRequest,
shippoApiVersion: '2018-02-08'
);
if ($response->manifest !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
using System.Collections.Generic;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Manifests.CreateAsync(
manifestCreateRequest: new ManifestCreateRequest() {
CarrierAccount = "adcfdddf8ec64b84ad22772bce3ea37a",
ShipmentDate = "2014-05-16T23:59:59Z",
Transactions = new List<string>() {
"adcfdddf8ec64b84ad22772bce3ea37a",
},
AddressFrom = ManifestCreateRequestAddressFrom.CreateAddressCreateRequest(
new AddressCreateRequest() {
Name = "Shwan Ippotle",
Company = "Shippo",
Street1 = "215 Clayton St.",
Street3 = "",
StreetNo = "",
City = "San Francisco",
State = "CA",
Zip = "94117",
Country = "US",
Phone = "+1 555 341 9393",
Email = "shippotle@shippo.com",
IsResidential = true,
Metadata = "Customer ID 123456",
Validate = true,
}
),
},
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.components.AddressCreateRequest;
import com.goshippo.shippo_sdk.models.components.ManifestCreateRequest;
import com.goshippo.shippo_sdk.models.components.ManifestCreateRequestAddressFrom;
import com.goshippo.shippo_sdk.models.operations.CreateManifestResponse;
import java.lang.Exception;
import java.util.List;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
CreateManifestResponse res = sdk.manifests().create()
.shippoApiVersion("2018-02-08")
.manifestCreateRequest(ManifestCreateRequest.builder()
.carrierAccount("adcfdddf8ec64b84ad22772bce3ea37a")
.shipmentDate("2014-05-16T23:59:59Z")
.addressFrom(ManifestCreateRequestAddressFrom.of(AddressCreateRequest.builder()
.country("US")
.name("Shwan Ippotle")
.company("Shippo")
.street1("215 Clayton St.")
.street3("")
.streetNo("")
.city("San Francisco")
.state("CA")
.zip("94117")
.phone("+1 555 341 9393")
.email("shippotle@shippo.com")
.isResidential(true)
.metadata("Customer ID 123456")
.validate(true)
.build()))
.transactions(List.of(
"adcfdddf8ec64b84ad22772bce3ea37a"))
.build())
.call();
if (res.manifest().isPresent()) {
// handle response
}
}
}const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_account: 'adcfdddf8ec64b84ad22772bce3ea37a',
shipment_date: '2014-05-16T23:59:59Z',
address_from: {
country: 'US',
name: 'Shwan Ippotle',
company: 'Shippo',
street1: '215 Clayton St.',
street2: '<string>',
street3: '',
street_no: '',
city: 'San Francisco',
state: 'CA',
zip: '94117',
phone: '+1 555 341 9393',
email: 'shippotle@shippo.com',
is_residential: true,
metadata: 'Customer ID 123456',
validate: true
},
transactions: ['adcfdddf8ec64b84ad22772bce3ea37a'],
async: true
})
};
fetch('https://api.goshippo.com/manifests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/manifests"
payload := strings.NewReader("{\n \"carrier_account\": \"adcfdddf8ec64b84ad22772bce3ea37a\",\n \"shipment_date\": \"2014-05-16T23:59:59Z\",\n \"address_from\": {\n \"country\": \"US\",\n \"name\": \"Shwan Ippotle\",\n \"company\": \"Shippo\",\n \"street1\": \"215 Clayton St.\",\n \"street2\": \"<string>\",\n \"street3\": \"\",\n \"street_no\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"zip\": \"94117\",\n \"phone\": \"+1 555 341 9393\",\n \"email\": \"shippotle@shippo.com\",\n \"is_residential\": true,\n \"metadata\": \"Customer ID 123456\",\n \"validate\": true\n },\n \"transactions\": [\n \"adcfdddf8ec64b84ad22772bce3ea37a\"\n ],\n \"async\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/manifests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"carrier_account\": \"adcfdddf8ec64b84ad22772bce3ea37a\",\n \"shipment_date\": \"2014-05-16T23:59:59Z\",\n \"address_from\": {\n \"country\": \"US\",\n \"name\": \"Shwan Ippotle\",\n \"company\": \"Shippo\",\n \"street1\": \"215 Clayton St.\",\n \"street2\": \"<string>\",\n \"street3\": \"\",\n \"street_no\": \"\",\n \"city\": \"San Francisco\",\n \"state\": \"CA\",\n \"zip\": \"94117\",\n \"phone\": \"+1 555 341 9393\",\n \"email\": \"shippotle@shippo.com\",\n \"is_residential\": true,\n \"metadata\": \"Customer ID 123456\",\n \"validate\": true\n },\n \"transactions\": [\n \"adcfdddf8ec64b84ad22772bce3ea37a\"\n ],\n \"async\": true\n}"
response = http.request(request)
puts response.read_body{
"carrier_account": "adcfdddf8ec64b84ad22772bce3ea37a",
"shipment_date": "2014-05-16T23:59:59Z",
"address_from": "d799c2679e644279b59fe661ac8fa488",
"documents": [
"https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
],
"object_created": "2023-11-07T05:31:56Z",
"object_id": "adcfdddf8ec64b84ad22772bce3ea37a",
"object_owner": "shippotle@shippo.com",
"object_updated": "2023-11-07T05:31:56Z",
"status": "SUCCESS",
"transactions": [
"adcfdddf8ec64b84ad22772bce3ea37a"
],
"errors": [
"<string>"
]
}{}Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
"2018-02-08"
Body
Manifest details and contact info.
ID of carrier account
"adcfdddf8ec64b84ad22772bce3ea37a"
All shipments to be submitted on this day will be closed out.
Must be in the format 2014-01-18T00:35:03.463Z (ISO 8601 date).
"2014-05-16T23:59:59Z"
Address represents the address as retrieved from the database
Show child attributes
Show child attributes
IDs transactions to use. If you set this to null or not send this parameter, Shippo will automatically assign all applicable transactions.
["adcfdddf8ec64b84ad22772bce3ea37a"]Response
Manifest
ID of carrier account
"adcfdddf8ec64b84ad22772bce3ea37a"
All shipments to be submitted on this day will be closed out.
Must be in the format 2014-01-18T00:35:03.463Z (ISO 8601 date).
"2014-05-16T23:59:59Z"
ID of the Address object that should be used as pickup address for the scan form. The USPS will validate this address before creating the scan form.
"d799c2679e644279b59fe661ac8fa488"
An array containing the URLs to all returned manifest documents.
[
"https://shippo-delivery.s3.amazonaws.com/0fadebf6f60c4aca95fa01bcc59c79ae.pdf?Signature=tlQU3RECwdHUQJQadwqg5bAzGFQ%3D&Expires=1402803835&AWSAccessKeyId=AKIAJTHP3LLFMYAWALIA"
]Date and time of object creation.
Unique identifier of the given object.
"adcfdddf8ec64b84ad22772bce3ea37a"
Username of the user who created the object.
"shippotle@shippo.com"
Date and time of last object update.
Indicates the status of the manifest.
QUEUED, SUCCESS, ERROR "SUCCESS"
IDs transactions to use. If you set this to null or not send this parameter, Shippo will automatically assign all applicable transactions.
["adcfdddf8ec64b84ad22772bce3ea37a"]An array of codes and messages describing the error that occurred if any.
Was this page helpful?